import { TableImplementation, ColumnImplementation } from '../table';
import { QueryItem } from './types';
import { BuildContext } from './buildContext';
export declare function buildResultConverter(query: QueryItem[]): (row: any) => void;
export declare function buildSqlQuery(query: QueryItem[], ctx: BuildContext, params?: any): string;
export declare function buildColumns(query: QueryItem[]): Record<string, ColumnImplementation>;
export declare function buildInsert(table: TableImplementation, data: any[]): [string, any[]];
export declare function buildUpdate(query: QueryItem[], paramsCtx: BuildContext, columnsToSet: string[], dataCtx: BuildContext): string;
