/**
 * Pick defined keys from an object returning a new object.
 */
export declare function pick<T extends object, U extends keyof T>(obj: T, ...keys: U[]): Pick<T, U>;
/**
 * Omit keys from an object returning a new object.
 */
export declare function omit<T extends object, U extends keyof T>(obj: T, ...keys: U[]): Omit<T, U>;
